apply plugin: 'com.android.application'

android {
    signingConfigs {
        lbs_test {
            keyAlias 'apex mobile'
            keyPassword '#UL$dc01'
            storeFile file('/Users/ray/Documents/usai android keystore/usai_keystore')
            storePassword '#UL$dc01'
        }
    }
    compileSdkVersion 25
//    buildToolsVersion '25.0.3'
    defaultConfig {
        applicationId "com.usai.apex"
        minSdkVersion 14
        targetSdkVersion 25
        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled true
            zipAlignEnabled true
            shrinkResources true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-project.txt'
        }
        debug {
//            minifyEnabled true
//            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-project.txt'
            signingConfig signingConfigs.lbs_test
        }
    }
}

dependencies {
    //    compile 'com.android.support:support-v4:19.1.0'
    compile 'com.android.support:appcompat-v7:25.3.1'
    compile 'com.android.support:support-v4:25.3.1'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    compile 'com.android.support:recyclerview-v7:25.3.1'
    compile 'com.google.android.gms:play-services:11.0.4'
    compile files('libs/baidumapapi_base_v3_7_1.jar')
    compile files('libs/baidumapapi_map_v3_7_1.jar')
    compile files('libs/httpmime-4.1.1.jar')
    compile files('libs/core-2.3.0.jar')
}
android {
    useLibrary 'org.apache.http.legacy'
}